Subject: Re: bug#13426: Frame parameter fullscreen and maximized

From: Juri Linkov <[email-masked]>
Date: Sun, 11 Jan 2015 22:57:18 +0200

> Are these issues still valid?  There have been lots of changes in this
> area.

Both issues are fixed.

However, now I see another related problem: having this code in ~/.emacs,

  (add-hook 'after-init-hook
            (lambda ()
              (toggle-frame-maximized))
            t)

I get a maximized frame visually, but internally with unmaximized dimensions,
i.e. mouse avoidance moves the mouse pointer to the middle of the frame instead
of the edges (because it uses frame dimensions from unmaximized frame), etc.
This is a recent bug that breaks frame dimensions after desktop frame restore.
If you already know about this problem, could you please point me to the
existing bug report, or should I create a new one?